package nxm.sys.intr;

/** Send messages from the macro language.

    @author  Jeff Schoen / J. Czechowski IV
 */
public class Sendto extends Message {

  /** default constructor */
  public Sendto () {}

  public int process() {
    Object  from   = (M.macro != null)? M.macro : this;
    boolean sync   = MA.getState("/SYNC",MA.getState("/W"));
    boolean direct = false;
    boolean replace = MA.getState("/REPLACE", false); // since 3.3.0 for BUG 98

    send(sync, direct, replace, from);

    return FINISH;
  }
}
